Bug 201024 - Default smb.conf points to wrong printer spool path
Default smb.conf points to wrong printer spool path
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-08-02 07:04 EDT by David Ward
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-23 15:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Ward 2006-08-02 07:04:34 EDT
Description of problem:  In the default version of /etc/samba/smb.conf, the
[printers] share is defined with:
   path = /usr/spool/samba
However, this should be:
   path = /var/spool/samba

Using this wrong path setting will prevent SMB printing from functioning.  The
typo is very subtle.  I am not sure if it is corrected when using configuration
GUIs such as system-config-samba, SWAT, etc.

Version-Release number of selected component (if applicable): samba-3.0.23a-1.fc5.1
Comment 1 MW 2006-11-09 11:37:47 EST
The same bug exist in FC6 samba-3.0.23c-2 package. Pointing to non-existent
directory is a bug! Why this simple thing cannot be resolved since FC5 edition?
The same erroneus dirctory in item for log file definition in smb.conf have been
corrected already. Why this one haven't?
Comment 2 Simo Sorce 2007-11-23 15:00:28 EST
This should be fixed in latest packages

Note You need to log in before you can comment on or make changes to this bug.